--- ThirdParty/loguru/vtkloguru/loguru.cpp
+++ ThirdParty/loguru/vtkloguru/loguru.cpp	2024-05-28 17:50:36.000000000 +0800
@@ -985,7 +985,17 @@
 
 			#ifdef __APPLE__
 				uint64_t thread_id;
-				pthread_threadid_np(pthread_self(), &thread_id);
+				#if MAC_OS_X_VERSION_MAX_ALLOWED < 1060 || defined(__ppc__)
+					thread_id = pthread_mach_thread_np(pthread_self());
+				#elif MAC_OS_X_VERSION_MIN_REQUIRED < 1060
+					if (&pthread_threadid_np != NULL) {
+						pthread_threadid_np(pthread_self(), &thread_id);
+					} else {
+						thread_id = pthread_mach_thread_np(pthread_self());
+					}
+				#else
+					pthread_threadid_np(pthread_self(), &thread_id);
+				#endif
 			#elif defined(__FreeBSD__)
 				long thread_id;
 				(void)thr_self(&thread_id);
